Germany Utility
3 min
Verifies input data against commercial and telco data obtained from the partnered sources from Germany.
For Authorization Get Session Token from Authentication page.
Germany Utility
* Verification Outcome – Returns KYC verification
* Consumer Consent – N/A
* Mandatory Input – Name
* Verifies – Name, DOB and Address
* Returned Data - N/A
POST
https://idu-test.datazoo.com/api/v2/verify
Header Parameters
- AuthorizationstringrequiredDescription
Body Parameters
- dataobjectrequiredDescription
- countryCodestringrequiredDescription
- servicearrayrequiredDescription
- clientReferencestringDescription
- firstNamestringrequiredDescription
- lastNamestringrequiredDescription
- dateOfBirthstringDescription
- addressElement1stringDescription
- addressElement3stringDescription
- addressElement4stringDescription
- addressElement5stringDescription
Response
- countryCodestringDescription
- clientReferencestringDescription
- reportingReferencestringDescription
- validationErrorsstringDescription
- matchStatusstringDescription
- searchErrorMessagestringDescription
- safeHarbourbooleanDescription
- searchStatusstringDescription
- serviceResponsesobjectDescription
- statusintegerDescription
- sourceStatusstringDescription
- errorMessagestringDescription
- identityVerifiedbooleanDescription
- safeHarbourScorestringDescription
- nameMatchScorestringDescription
- addressMatchScorestringDescription
- verificationsobjectDescription
- addressElement1boolean
- addressElement3boolean
- addressElement5boolean
- dateOfBirthboolean
- firstNameboolean
- lastNameboolean
- returnedDataobjectDescription
- remarksarrayDescription
curl
curl --location 'https://idu-test.datazoo.com/api/v2/verify' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ0ZXN0IiwiaWF0IjoxNzQzMzgxNTg4LCJpcGEiOiIzNC4xNTEuMTE3LjI0OSIsInVpZCI6MzAzLCJvaWQiOjYyLCJsaWQiOjU2NTc5MDQsImV4cCI6MTc0MzQxMDM4OCwiYXVkIjoiaHR0cHM6Ly9pZHUuZGF0YXpvby5jb20ifQ.5ed7HLedBmdXwwincXQPyCU3Suxg7bkHljLruwIpYlNxwz3873KjBmC2Dwy5VkGOTc9qAsp6HymAPXfMcMO2KA' \
--data '{
"countryCode": "DE",
"service": [
"Germany Utility"
],
"clientReference": "Test_0001",
"firstName": "Patricia",
"lastName": "Fritzsche",
"dateOfBirth": "1984-06-06",
"addressElement1": "66c MusterStr. Bei Schulze",
"addressElement3": "Musterhausen",
"addressElement4": "Deutschland",
"addressElement5": "20095"
}'200
{
"countryCode": "Germany",
"clientReference": "Test_0001",
"reportingReference": "DZ-7c3d8286-c255-4a22-a383-bfb8a6aeec63",
"matchStatus": "Full Match 1+1 Verification",
"searchErrorMessage": "",
"safeHarbour": false,
"searchStatus": "Successful",
"serviceResponses": {
"Germany Utility": {
"status": 1,
"sourceStatus": "Successful",
"errorMessage": "",
"identityVerified": true,
"safeHarbourScore": "M2",
"nameMatchScore": "1.000",
"addressMatchScore": "0.000",
"verifications": {
"addressElement1": false,
"addressElement3": false,
"addressElement5": false,
"dateOfBirth": true,
"firstName": true,
"lastName": true
},
"returnedData": {}
}
},
"remarks": []
}404
{
"message": "Ain't no cake like that."
}
Links
Change History
Added
Last updated - 31 March, 2025